#! /bin/sh
# Mike Osborne McGill University October 2003
# Programme calculates vlaues for translational
# diffusion from an input file of two columns of:
# gradient strength     Io/I 
#Note can easily be modified if have integrals
#format for this version
# e.g.
#	5	1
#	10	1.09
#	20	1.28
# etc

if [ $# != 1 ]
    then
      echo "usage: difusion.s <input file>"
      exit 1
fi




#actual prog

nawk '

BEGIN {
print "#ln (Io/I)	Gvalue"

while (getline p1 < ARGV[1] > 0) {
        split(p1,p1a," ")
	

      
        if (p1a[1] != "#"){
        val=p1a[2]		#takes in value for Io/I
	val2=1/val		# use this if use I/Io 
 #       val2=p1a[3]  
	grad= p1a[1]*(33/100)	#assuming 100% strength is 33 G/cm
	gamma=26753	
	del = 3.5e-03		#sec
        delta = 150e-03 		#sec
	gradi = (grad^2)
            streg = (gamma^2)*(gradi)*(del^2)
		new=(delta-(del/3))
		val1=streg*new		 
print val1,  log(val)  #log(val2)
 
 
}

  

        
}
}
' $*

